// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Library General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
// 
// FAUVART Sbastien	<seb.fauvart@free.fr>
// Mon May 19 12:57:45 2003

#ifndef _DEFINES_H
#define _DEFINES_H

#define MAX_TEXTURES 10
#define SCREEN_WIDTH 800
#define SCREEN_HEIGHT 600
#define SCREEN_DEPTH 16

#define PLAYER_1              1
#define PLAYER_2              2

#define case_A1               0x270
#define case_A2               0x260
#define case_A3               0x250
#define case_A4               0x240
#define case_A5               0x230
#define case_A6               0x220
#define case_A7               0x210
#define case_A8               0x200

#define case_B1               0x271
#define case_B2               0x261
#define case_B3               0x251
#define case_B4               0x241
#define case_B5               0x231
#define case_B6               0x221
#define case_B7               0x211
#define case_B8               0x201

#define case_C1               0x272
#define case_C2               0x262
#define case_C3               0x252
#define case_C4               0x242
#define case_C5               0x232
#define case_C6               0x222
#define case_C7               0x212
#define case_C8               0x202

#define case_D1               0x273
#define case_D2               0x263
#define case_D3               0x253
#define case_D4               0x243
#define case_D5               0x233
#define case_D6               0x223
#define case_D7               0x213
#define case_D8               0x203

#define case_E1               0x274
#define case_E2               0x264
#define case_E3               0x254
#define case_E4               0x244
#define case_E5               0x234
#define case_E6               0x224
#define case_E7               0x214
#define case_E8               0x204

#define case_F1               0x275
#define case_F2               0x265
#define case_F3               0x255
#define case_F4               0x245
#define case_F5               0x235
#define case_F6               0x225
#define case_F7               0x215
#define case_F8               0x205

#define case_G1               0x276
#define case_G2               0x266
#define case_G3               0x256
#define case_G4               0x246
#define case_G5               0x236
#define case_G6               0x226
#define case_G7               0x216
#define case_G8               0x206

#define case_H1               0x277
#define case_H2               0x267
#define case_H3               0x257
#define case_H4               0x247
#define case_H5               0x237
#define case_H6               0x227
#define case_H7               0x217
#define case_H8               0x207

// Menu Principal
#define GUI_MENU_NOUVELLE_PARTIE            300
#define GUI_MENU_CHARGER                    301
#define GUI_MENU_SAUVEGARDER                302
#define GUI_MENU_OPTIONS                    303
#define GUI_MENU_INFORMATIONS               304
#define GUI_MENU_REVENIR                    305
#define GUI_MENU_QUITTER                    306
#define gui_menu_principal                    1

// Menu Options
#define GUI_MENU_OPTIONS_NIVEAU             310
#define GUI_MENU_OPTIONS_AIDE               311
#define GUI_MENU_OPTIONS_SON                312
#define GUI_MENU_OPTIONS_STYLE              313
#define GUI_MENU_OPTIONS_LANGUE             314
#define GUI_MENU_OPTIONS_REVENIR            315
#define gui_menu_options                      2

// Menu Informations
#define GUI_MENU_INFORMATIONS_OK			350
#define gui_menu_informations				  3

// Menu Nouvelle partie
#define GUI_MENU_NOUVELLE_PARTIE_VSCPU      320
#define GUI_MENU_NOUVELLE_PARTIE_VSJOUEUR2  321
#define GUI_MENU_NOUVELLE_PARTIE_RESEAU     322
#define gui_menu_nouvelle_partie              4

// Menu Charger

// Menu Sauvegarder

// Menu Ok et Annuler
#define GUI_MENU_QUITTER_OK                 330
#define GUI_MENU_QUITTER_ANNULER            331
#define gui_menu_quitter                      5

#define GUI_INFO_PASSETOUR_OK               340
#define GUI_INFO_FINDUJEU_OK                341
#define gui_info_passetour                   10
#define gui_info_findujeu                    20


// Definition game.cpp
#define MODE_VSCPU							1
#define MODE_VSJOUEUR2						2
#define MODE_VSRESEAU						3


// Definition pour les textures
#define black_texture         0
#define white_texture         1
#define pion1_texture         2
#define pion2_texture         3
#define chars_texture         4
#define chars2_texture        5
#define bordure_texture       6
#define socle_texture         7


#endif
