// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Library General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
// 
// FAUVART Sbastien	<seb.fauvart@free.fr>
// Mon May 19 12:57:45 2003

#ifndef __VARIABLES_H__
#define __VARIABLES_H__
#include "defines.h"

// Application.cpp
extern int oldObjectID, ObjectID;
extern int Flag_RetrieveObjectID, Flag_Draw_Menu, Flag_Draw_Info;
extern int Flag_Difficulte, Flag_Aide, Flag_Son, Flag_Style, Flag_Langue;

// Game.cpp
typedef int board[8][8];
extern int FlagModeDuJeu;


// Init_Display.cpp
extern SDL_Surface *MainWindow;
extern float g_LightPosition[4];
extern float ambience[4];
extern float diffuse[4];

// Display.cpp
extern float board_rotate_x, board_rotate_y, board_rotate_z;

// Texture.cpp
extern unsigned int g_Texture[MAX_TEXTURES];

// Cgui.cpp
extern int Flag_NumeroDuMenuAAfficher, Flag_InfoDuJeuAAfficher;

#endif

