// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Library General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
// 
// FAUVART Sbastien	<seb.fauvart@free.fr>
// Mon May 19 12:57:45 2003

#ifndef __GAME_H__
#define __GAME_H__

#include <iostream.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <SDL/SDL.h>
#include <SDL/SDL_opengl.h>

#include "variables.h"

class CGame
{
 public:
  CGame();
  ~CGame();

  void InitGame();
  int XY_to_Case(int x, int y);
  int Case_to_X(int number);
  int Case_to_Y(int number);
  int Game_testmove(int x, int y, int side, int dx, int dy, int execute);
  int Game_validmove(int case_number, int side, int execute);
  void Game_validallmove(int side);
  void Game_calculate_score();
  void Game_cpu_play();
  int Game_peut_jouer();
  int Game_is_the_end();

  board gameboard;
  int aquiletour;
  int score_player1, score_player2;

};

#endif

