// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Library General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
// 
// FAUVART Sbastien	<seb.fauvart@free.fr>
// Mon May 19 12:57:45 2003

#ifndef __INIT_DISPLAY_H__
#define __INIT_DISPLAY_H__

#include <iostream.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <SDL/SDL.h>
#include <SDL/SDL_opengl.h>

class CInitDisplay
{
  public:
  CInitDisplay();
  ~CInitDisplay();

  int initSDL(int width, int height, int bpp, int fullscreen, int mode, int audio);
  int initOpenGl();
  int resizeGLScene(int width, int height, int bpp);
  int togglefullscreen();
  int destroyWindow();
  
};

#endif

