// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Library General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
// 
// FAUVART Sbastien	<seb.fauvart@free.fr>
// Mon May 19 12:57:45 2003


#include "../include/objects3d.h"

CObjects3d::CObjects3d()
{

}

void CObjects3d::UnderBoard()
{

         glBegin(GL_QUADS);

          glNormal3f(0.0f, 2.0f, 0.0f);

          glTexCoord2f(0.0f, 0.0f);          glVertex3f(-0.5f, -0.01f, 8.5f);
          glTexCoord2f(1.0f, 0.0f);          glVertex3f(-0.5f, -0.01f, -0.5f);
          glTexCoord2f(1.0f, 1.0f);          glVertex3f(8.5f, -0.01f, -0.5f);
          glTexCoord2f(0.0f, 1.0f);          glVertex3f(8.5f, -0.01f, 8.5f);

          glTexCoord2f(0.0f, 0.0f);          glVertex3f(-1.0f, -0.5f, 9.0f);
          glTexCoord2f(1.0f, 0.0f);          glVertex3f(-0.5f, -0.01f, 8.5f);
          glTexCoord2f(1.0f, 1.0f);          glVertex3f(-0.5f, -0.01f, -0.5f);
          glTexCoord2f(0.0f, 1.0f);          glVertex3f(-1.0f, -0.5f, -1.0f);

          glTexCoord2f(0.0f, 0.0f);          glVertex3f(-1.0f, -0.5f, -1.0f);
          glTexCoord2f(1.0f, 0.0f);          glVertex3f(-0.5f, -0.01f, -0.5f);
          glTexCoord2f(1.0f, 1.0f);          glVertex3f(8.5f, -0.01f, -0.5f);
          glTexCoord2f(0.0f, 1.0f);          glVertex3f(9.0f, -0.5f, -1.0f);

          glTexCoord2f(0.0f, 0.0f);          glVertex3f(9.0f, -0.5f, -1.0f);
          glTexCoord2f(1.0f, 0.0f);          glVertex3f(8.5f, -0.01f, -0.5f);
          glTexCoord2f(1.0f, 1.0f);          glVertex3f(8.5f, -0.01f, 8.5f);
          glTexCoord2f(0.0f, 1.0f);          glVertex3f(9.0f, -0.5f, 9.0f);

          glTexCoord2f(0.0f, 0.0f);          glVertex3f(9.0f, -0.5f, 9.0f);
          glTexCoord2f(1.0f, 0.0f);          glVertex3f(8.5f, -0.01f, 8.5f);
          glTexCoord2f(1.0f, 1.0f);          glVertex3f(-0.5f, -0.01f, 8.5f);
          glTexCoord2f(0.0f, 1.0f);          glVertex3f(-1.0f, -0.5f, 9.0f);

         glEnd();

}

void CObjects3d::Case(float x, float y, float z)
{

         glBegin(GL_QUADS);

          glNormal3f(0.0f, 2.0f, 0.0f);
          glTexCoord2f(0.0f, 0.0f);   glVertex3f(0.0f + x, 0.0f + y, 0.0f + z);
          glTexCoord2f(1.0f, 0.0f);   glVertex3f(1.0f + x, 0.0f + y, 0.0f + z);
          glTexCoord2f(1.0f, 1.0f);   glVertex3f(1.0f + x, 0.0f + y, 1.0f + z);
          glTexCoord2f(0.0f, 1.0f);   glVertex3f(0.0f + x, 0.0f + y, 1.0f + z);

         glEnd();

}

void CObjects3d::Piece_style1()
{
  
  glBegin(GL_TRIANGLE_FAN);

   glNormal3f(0.0f, 2.0f, 0.0f);

   glTexCoord2f(0.0f, 0.0f);
    glVertex3f(0.0f, 0.0f, 0.0f);

   glTexCoord2f(0.0f, 1.0f);
    glVertex3f(0.0f, 0.0f, 1.0f);
    glVertex3f(0.5f, 0.0f, 0.866f);
    glVertex3f(0.707f, 0.0f, 0.707f);
    glVertex3f(0.866f, 0.0f, 0.5f);
    glVertex3f(1.0f, 0.0f, 0.0f);
    glVertex3f(0.866f, 0.0f, -0.5f);
    glVertex3f(0.707f, 0.0f, -0.707f);
    glVertex3f(0.5f, 0.0f, -0.866f);
    glVertex3f(0.0f, 0.0f, -1.0f);
    glVertex3f(-0.5f, 0.0f, -0.866f);
    glVertex3f(-0.707f, 0.0f, -0.707f);
    glVertex3f(-0.866f, 0.0f, -0.5f);
    glVertex3f(-1.0f, 0.0f, 0.0f);
    glVertex3f(-0.866f, 0.0f, 0.5f);
    glVertex3f(-0.707f, 0.0f, 0.707f);
    glVertex3f(-0.5f, 0.0f, 0.866f);

   glTexCoord2f(1.0f, 1.0f);
    glVertex3f(-0.0f, 0.0f, 1.0f);

   glTexCoord2f(1.0f, 0.0f);
    glVertex3f(0.0f, 0.0f, 0.0f);

  glEnd();

  glBegin(GL_TRIANGLE_STRIP);

    glVertex3f(0.0f, 0.0f, 1.0f);
    glVertex3f(0.0f, -0.5f, 1.0f);
    glVertex3f(0.5f, 0.0f, 0.866f);
    glVertex3f(0.5f, -0.5f, 0.866f);
    glVertex3f(0.707f, 0.0f, 0.707f);
    glVertex3f(0.707f, -0.5f, 0.707f);
    glVertex3f(0.866f, 0.0f, 0.5f);
    glVertex3f(0.866f, -0.5f, 0.5f);
    glVertex3f(1.0f, 0.0f, 0.0f);
    glVertex3f(1.0f, -0.5f, 0.0f);
    glVertex3f(0.866f, 0.0f, -0.5f);
    glVertex3f(0.866f, -0.5f, -0.5f);
    glVertex3f(0.707f, 0.0f, -0.707f);
    glVertex3f(0.707f, -0.5f, -0.707f);
    glVertex3f(0.5f, 0.0f, -0.866f);
    glVertex3f(0.5f, -0.5f, -0.866f);
    glVertex3f(0.0f, 0.0f, -1.0f);
    glVertex3f(0.0f, -0.5f, -1.0f);
    glVertex3f(-0.5f, 0.0f, -0.866f);
    glVertex3f(-0.5f, -0.5f, -0.866f);
    glVertex3f(-0.707f, 0.0f, -0.707f);
    glVertex3f(-0.707f, -0.5f, -0.707f);
    glVertex3f(-0.866f, 0.0f, -0.5f);
    glVertex3f(-0.866f, -0.5f, -0.5f);
    glVertex3f(-1.0f, 0.0f, 0.0f);
    glVertex3f(-1.0f, -0.5f, 0.0f);
    glVertex3f(-0.866f, 0.0f, 0.5f);
    glVertex3f(-0.866f, -0.5f, 0.5f);
    glVertex3f(-0.707f, 0.0f, 0.707f);
    glVertex3f(-0.707f, -0.5f, 0.707f);
    glVertex3f(-0.5f, 0.0f, 0.866f);
    glVertex3f(-0.5f, -0.5f, 0.866f);
    glVertex3f(0.0f, 0.0f, 1.0f);
    glVertex3f(0.0f, -0.5f, 1.0f);

  glEnd();

  glBegin(GL_TRIANGLE_FAN);

   glNormal3f(0.0f, 2.0f, 0.0f);
   glTexCoord2f(0.0f, 0.0f);
    glVertex3f(0.0f, -0.5f, 0.0f);

   glTexCoord2f(0.0f, 1.0f);
    glVertex3f(0.0f, -0.5f, 1.0f);
    glVertex3f(0.5f, -0.5f, 0.866f);
    glVertex3f(0.707f, -0.5f, 0.707f);
    glVertex3f(0.866f, -0.5f, 0.5f);
    glVertex3f(1.0f, -0.5f, 0.0f);
    glVertex3f(0.866f, -0.5f, -0.5f);
    glVertex3f(0.707f, -0.5f, -0.707f);
    glVertex3f(0.5f, -0.5f, -0.866f);
    glVertex3f(0.0f, -0.5f, -1.0f);
    glVertex3f(-0.5f, -0.5f, -0.866f);
    glVertex3f(-0.707f, -0.5f, -0.707f);
    glVertex3f(-0.866f, -0.5f, -0.5f);
    glVertex3f(-1.0f, -0.5f, 0.0f);
    glVertex3f(-0.866f, -0.5f, 0.5f);
    glVertex3f(-0.707f, -0.5f, 0.707f);
    glVertex3f(-0.5f, -0.5f, 0.866f);

   glTexCoord2f(1.0f, 1.0f);
    glVertex3f(-0.0f, -0.5f, 1.0f);

   glTexCoord2f(1.0f, 0.0f);
    glVertex3f(0.0f, -0.5f, 0.0f);

  glEnd();

}

CObjects3d::~CObjects3d()
{

}
